{
  "name": "customize-metamask-button",
  "version": "0.1.0",
  "description": "MetaMask button using the onboarding library, with the ability to add a custom network & token.",
  "author": {
    "name": "Andre Machon",
    "email": "andre.machon@distech.solutions",
    "url": "distech.solutions"
  },
  "homepage": "https://gitlab.com/distech-solutions/internal-projects/customize-metamask-button/",
  "bugs": "https://gitlab.com/distech-solutions/internal-projects/customize-metamask-button/",
  "license": "MIT",
  "keywords": [
    "metamask",
    "react",
    "web3",
    "blockchain",
    "crypto",
    "wallet",
    "hooks",
    "add-network",
    "add-custom-token"
  ],
  "main": "index.js",
  "dependencies": {
    "@metamask/onboarding": "^1.0.1",
    "@testing-library/jest-dom": "^5.16.2",
    "@testing-library/react": "^12.1.3",
    "@testing-library/user-event": "^13.5.0",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-scripts": "5.0.0",
    "styled-components": "^5.3.3",
    "use-metamask": "^1.3.2",
    "web-vitals": "^2.1.4",
    "web3": "^1.7.1"
  },
  "scripts": {
    "start": "react-app-rewired start",
    "build": "react-app-rewired build",
    "test": "react-app-rewired test",
    "eject": "react-app-rewired eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "assert": "^2.0.0",
    "buffer": "^6.0.3",
    "crypto-browserify": "^3.12.0",
    "https-browserify": "^1.0.0",
    "os-browserify": "^0.3.0",
    "process": "^0.11.10",
    "react-app-rewired": "^2.2.1",
    "stream-browserify": "^3.0.0",
    "stream-http": "^3.2.0",
    "url": "^0.11.0"
  }
}
